## ros-kinetic-hrpsys 315.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
project(hrpsys)

enable_testing()
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake_modules/)

include(FindPkgConfig)
include(CheckIncludeFiles)

option(ENABLE_INSTALL_RPATH "Enable RPATH setting for installed binary files" OFF)

set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# commands
if(UNIX)
  set(RMDIR rm -fr)
  set(CPSEP ":")
elseif(WIN32)
  set(RMDIR rmdir /S/Q)
  set(CPSEP ";")
endif()

# shell script file suffix
if(UNIX)
  set(SH_SFX "sh")
elseif(WIN32)
  set(SH_SFX "bat")
endif()

# Specify include directory.
#   After https://github.com/fkanehiro/hrpsys-base/pull/842, hrpsys-base local include files are used as "hrpsys/xx/yy.h".
#   For this reason, we make ${CMAKE_BINARY_DIR}/hrpsys directory and generate symbolic link for related include files under it.
#   To deal with include files in ${CMAKE_BINARY_DIR}/hrpsys as hrpsys-base local include files, we set cmake's include_directories before other include_directories setting to set higher priority for ${CMAKE_BINARY_DIR}/hrpsys.
execute_process(
  COMMAND mkdir -p ${CMAKE_BINARY_DIR}/hrpsys
)
if (NOT EXISTS ${CMAKE_BINARY_DIR}/hrpsys/io)
  execute_process(
    COMMAND ln -s ${PROJECT_SOURCE_DIR}/lib/io ${CMAKE_BINARY_DIR}/hrpsys/io
   )
endif()
if (NOT EXISTS ${CMAKE_BINARY_DIR}/hrpsys/util)
  execute_process(
    COMMAND ln -s ${PROJECT_SOURCE_DIR}/lib/util ${CMAKE_BINARY_DIR}/hrpsys/util
   )
endif()
if (NOT EXISTS ${CMAKE_BINARY_DIR}/hrpsys/idl)
  execute_process(
    COMMAND ln -s ${CMAKE_BINARY_DIR}/idl ${CMAKE_BINARY_DIR}/hrpsys/idl
   )
endif()
include_directories(${CMAKE_BINARY_DIR})

# OpenRTM-aist(>= 1.0.0)
find_package(OpenRTM REQUIRED)
if(EXISTS "${OPENRTM_DIR}/include/openrtm-1.2/rtm/RTObjectStateMachine.h")
add_definitions(-DOPENRTM_VERSION_TRUNK)
endif()

# OpenHRP
find_package(OpenHRP REQUIRED)
include_directories(${OPENHRP_INCLUDE_DIRS})
link_directories(${OPENHRP_LIBRARY_DIRS})
if(UNIX)
    # remove -O2 ... from ${OPENHRP_DEFINITIONS}
    message(STATUS "OPENHRP_DEFINITIONS: ${OPENHRP_DEFINITIONS}")
    message(STATUS "REMOVE -Ox option from OPENHRP_DEFINITIONS, use CMAKE_BUILD_TYPE")
    string(REGEX REPLACE "[ ]+-O[0-9][ ]+" " " OPENHRP_DEFINITIONS "${OPENHRP_DEFINITIONS}")
    message(STATUS "OPENHRP_DEFINITIONS: ${OPENHRP_DEFINITIONS}")
    add_definitions(${OPENHRP_DEFINITIONS})
endif()

if(ENABLE_INSTALL_RPATH)
  set(CMAKE_INSTALL_RPATH "$ORIGIN/../lib:$ORIGIN/../../../lib:${OPENHRP_LIBRARY_DIRS}")
endif()

option(COMPILE_JAVA_STUFF "Compile java stuff" OFF)
if(COMPILE_JAVA_STUFF)
  set(JAVAC javac)
  set(JAR jar)
  set(IDLJ idlj)
  set(idlj_flags -DORBIT2_IDL -fclient -fserver -emitAll -td src)
  if (NOT DEFINED Java_VERSION_MAJOR)
    execute_process(COMMAND ${JAVAC} -version ERROR_VARIABLE jvar ERROR_STRIP_TRAILING_WHITESPACE)
    STRING( REGEX REPLACE "javac " "" Java_VERSION_STRING "${jvar}" )
    # following regex pulled from cmake-2.8 FindJava.cmake
    STRING( REGEX REPLACE "([0-9]+).*"          "\\1" Java_VERSION_MAJOR "${Java_VERSION_STRING}" )
    STRING( REGEX REPLACE "[0-9]+\\.([0-9]+).*" "\\1" Java_VERSION_MINOR "${Java_VERSION_STRING}" )
  endif()
  set(javac_flags -target ${Java_VERSION_MAJOR}.${Java_VERSION_MINOR} -d . -sourcepath src)
endif()

if(NOT CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL None)
  set(
    CMAKE_BUILD_TYPE Release CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
    FORCE)
endif()
message(STATUS "Compile with ${CMAKE_BUILD_TYPE}")
message(STATUS " -- CMAKE_C_FLAGS / CMAKE_CXX_FLAGS ${CMAKE_C_FLAGS} / ${CMAKE_C_FLAGS}")
message(STATUS " -- CMAKE_C_FLAGS_DEBUG / CMAKE_CXX_FLAGS_DEBUG ${CMAKE_C_FLAGS_DEBUG} / ${CMAKE_C_FLAGS_DEBUG}")
message(STATUS " -- CMAKE_C_FLAGS_RELEASE / CMAKE_CXX_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE} / ${CMAKE_C_FLAGS_RELEASE}")
message(STATUS " -- CMAKE_C_FLAGS_RELWITHDEBINFO / CMAKE_CXX_FLAGS_RELWITHDEBINFO ${CMAKE_C_FLAGS_RELWITHDEBINFO} / ${CMAKE_C_FLAGS_RELWITHDEBINFO}")

set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)

set(CPACK_PACKAGE_NAME hrpsys-base)
set(CPACK_PACKAGE_VENDOR "AIST")
set(CPACK_PACKAGE_CONTACT "Fumio Kanehiro <f-kanehiro@aist.go.jp>")
set(CPACK_PACKAGE_VERSION_MAJOR 315)
set(CPACK_PACKAGE_VERSION_MINOR 14)
set(CPACK_PACKAGE_VERSION_PATCH 0)
execute_process(
  COMMAND date +%Y%m%d%H%M
  OUTPUT_VARIABLE CPACK_PACKAGE_DATE
  RESULT_VARIABLE RESULT
  OUTPUT_STRIP_TRAILING_WHITESPACE)
set(CPACK_PACKAGE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}-${CPACK_PACKAGE_DATE})
set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE i386)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE-en.txt")
set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}${OPENHRP_VERSION_ADD_TAIL}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "libxml2,libcv4,libcvaux4,libhighgui4,libsdl1.2debian,libglut3,libxmu6,libirrlicht1.7")
set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA postinst)
if(UNIX)
  set(CPACK_PACKAGING_INSTALL_PREFIX "/usr" CACHE PATH "The root directory of the package")
endif()
include(CPack)

find_package(LibXml2 REQUIRED)
find_package(QuickHull REQUIRED)
find_package(SDL)
if ( NOT SDL_FOUND )
  message(WARNING "Package SDL is not found!")
endif( NOT SDL_FOUND )
find_package(OpenGL)
if ( NOT OPENGL_FOUND )
  message(WARNING "Package OpenGL is not found!")
endif( NOT OPENGL_FOUND )
find_package(GLUT)
if ( NOT GLUT_FOUND )
  message(WARNING "Package GLUT is not found!")
endif( NOT GLUT_FOUND )
include(FindPkgConfig)
pkg_check_modules(OpenCV opencv)
if (NOT OpenCV_FOUND)
  pkg_check_modules(OpenCV opencv-2.3.1)
  if (NOT OpenCV_FOUND)
    message(WARNING "opencv not found")
  endif()
endif()
pkg_check_modules(GLEW glew)
if (NOT GLEW_FOUND)
  message(WARNING "Package GLEW is not found")
endif()
if(OpenCV_FOUND AND OPENGL_FOUND AND GLEW_FOUND AND GLUT_FOUND AND SDL_FOUND)
  set(USE_HRPSYSUTIL true)
else()
  set(USE_HRPSYSUTIL false)
endif()

include_directories(${OpenCV_INCLUDE_DIRS})
link_directories(${OpenCV_LIBRARY_DIRS})
if(NOT QNXNTO)
  find_package(Eigen REQUIRED)
  include_directories(${Eigen_INCLUDE_DIRS})
endif()

execute_process(
  COMMAND python -c "from distutils import sysconfig; print sysconfig.get_config_var(\"VERSION\")"
  OUTPUT_VARIABLE PYTHON_VERSION
  OUTPUT_STRIP_TRAILING_WHITESPACE)
set(python_dist_pkg_dir lib/python${PYTHON_VERSION}/dist-packages)

configure_file(hrpsys-base.pc.in ${CMAKE_CURRENT_BINARY_DIR}/hrpsys-base.pc @ONLY)
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/hrpsys-base.pc
  DESTINATION lib/pkgconfig)

add_definitions(-DHRPSYS_PACKAGE_VERSION=\"\\"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}\\"\")

option(NO_DIGITAL_INPUT "Disable readDigitalInput and lengthDigitalInput" OFF)
if(NO_DIGITAL_INPUT)
  add_definitions(-DNO_DIGITAL_INPUT)
  message(STATUS "Disablng readDigitalInput and lengthDigitalInput")
endif()

option(ROBOT_IOB_VERSION "Supported robot IOB version (lib/io/iob.h)")
if("${ROBOT_IOB_VERSION}" STREQUAL "OFF")
  set(ROBOT_IOB_VERSION 2)
endif()
add_definitions(-DROBOT_IOB_VERSION=${ROBOT_IOB_VERSION})
message(STATUS "compile iob with -DROBOT_IOB_VERSION=${ROBOT_IOB_VERSION}")

if(COMPILE_JAVA_STUFF)
  add_subdirectory(jython)
endif()
add_subdirectory(python)
add_subdirectory(idl)
add_subdirectory(lib)
add_subdirectory(ec)
# option for 3rdparty
option(USE_QPOASES "Build qpOASES" OFF)
add_subdirectory(3rdparty)
add_subdirectory(rtc)
option(ENABLE_DOXYGEN "Use Doxygen" ON)
if(ENABLE_DOXYGEN)
  add_subdirectory(doc)
endif()
if (NOT QNXNTO)
  add_subdirectory(util)
endif()
add_subdirectory(sample)
add_subdirectory(test)

#if catkin environment
string(REGEX MATCH "catkin" need_catkin "$ENV{_}")
if(need_catkin OR "${CATKIN_BUILD_BINARY_PACKAGE}")
  find_package(catkin)
  if(catkin_FOUND)
    catkin_package_xml()
    if(NOT hrpsys_VERSION VERSION_EQUAL CPACK_PACKAGE_VERSION)
      message( FATAL_ERROR "hrpsys_version (from package.xml): ${hrpsys_VERSION} is not equal CPACK_PACKAGE_VERSION: ${CPACK_PACKAGE_VERSION}" )
    endif()
  endif()
  install(CODE "file(WRITE \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/doc/hrpsys/rospack_nosubdirs)")
  install(FILES package.xml DESTINATION share/hrpsys/)
  install(CODE "
execute_process(COMMAND cmake -E make_directory lib WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/hrpsys)
file(GLOB targets RELATIVE \${CMAKE_CURRENT_BINARY_DIR}/lib/ \${CMAKE_CURRENT_BINARY_DIR}/lib/*.so)
message(\"\${targets}\")
foreach(target \${targets})
  if(\${target} STREQUAL \"hrpsysext.so\" OR \${target} STREQUAL \"libhrpIo.so\" OR \${target} STREQUAL \"libhrpsysBaseStub.so\" OR \${target} STREQUAL \"libhrpsysUtil.so\")
  else()
    message(\"cmake -E create_symlink ../../../lib/\${target} \${target} WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/hrpsys/lib\")
    execute_process(COMMAND cmake -E create_symlink ../../../lib/\${target} \${target} WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/hrpsys/lib)
  endif()
endforeach()")
  install(CODE "
execute_process(COMMAND cmake -E make_directory \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/lib/hrpsys)
file(GLOB targets RELATIVE \${CMAKE_CURRENT_BINARY_DIR}/bin/ \${CMAKE_CURRENT_BINARY_DIR}/bin/*)
message(\"\${targets}\")
foreach(target \${targets})
  execute_process(COMMAND cmake -E create_symlink ../../bin/\${target} \${target} WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/lib/hrpsys)
endforeach()")
  install(DIRECTORY test launch DESTINATION share/hrpsys USE_SOURCE_PERMISSIONS)
  install(DIRECTORY rtc ec DESTINATION share/hrpsys/src USE_SOURCE_PERMISSIONS)
  install(CODE "
execute_process(COMMAND cmake -E make_directory share/hrpsys WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/hrpsys)
execute_process(COMMAND cmake -E create_symlink ../../../hrpsys/idl     share/hrpsys/idl WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/hrpsys)
execute_process(COMMAND cmake -E create_symlink ../../../hrpsys/samples share/hrpsys/samples WORKING_DIRECTORY \$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/share/hrpsys)
")
endif()
if(need_catkin)
  install(CODE
"
## this is tricky force write catkin marker file
set(_catkin_marker_file \"\${CMAKE_INSTALL_PREFIX}/.catkin\")
# check if the develspace marker file exists yet
if(EXISTS \${_catkin_marker_file})
  file(READ \${_catkin_marker_file} _existing_sourcespaces)
  if(_existing_sourcespaces STREQUAL \"\")
    # write this sourcespace to the marker file
    file(WRITE \${_catkin_marker_file} \"${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}\")
  else()
    # append to existing list of sourcespaces if it's not in the list
    list(FIND _existing_sourcespaces \"${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}\" _existing_sourcespace_index)
    if(_existing_sourcespace_index EQUAL -1)
      set(_catkin_marker_file_content \" ${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}\") # head space is necessary because it is converted to semicolon.
      separate_arguments(_catkin_marker_file_content)
      file(APPEND \${_catkin_marker_file} \"${_catkin_marker_file_content}\")
    endif()
  endif()
else()
  # create a new develspace marker file
  # NOTE: extra care must be taken when running multiple catkin jobs in parallel 
  #       so that this does not overwrite the result of a similar call in another package
  file(WRITE \${_catkin_marker_file} \"${CMAKE_INSTALL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}\")
endif()
")
endif()

=== 3rdparty/CMakeLists.txt ===
message(STATUS "USE_QPOASES=${USE_QPOASES}")
if(USE_QPOASES)
  add_subdirectory(qpOASES)
endif()

=== doc/CMakeLists.txt ===
set(input_files package.h utilities.h
		      ../python/hrpsys_config.py
		      ../python/rtm.py
		      ../rtc/ApproximateVoxelGridFilter/ApproximateVoxelGridFilter.txt
		      ../rtc/CameraImageViewer/CameraImageViewer.txt
		      ../rtc/DataLogger/DataLogger.txt
		      ../rtc/ForwardKinematics/ForwardKinematics.txt
		      ../rtc/HGcontroller/HGcontroller.txt
		      ../rtc/Joystick/Joystick.txt
		      ../rtc/Joystick2Velocity2D/Joystick2Velocity2D.txt
		      ../rtc/Joystick2Velocity3D/Joystick2Velocity3D.txt
		      ../rtc/Joystick2PanTiltAngles/Joystick2PanTiltAngles.txt
		      ../rtc/JpegDecoder/JpegDecoder.txt
		      ../rtc/NullComponent/NullComponent.txt
		      ../rtc/EmergencyStopper/EmergencyStopper.txt
		      ../rtc/ObjectContactTurnaroundDetector/ObjectContactTurnaroundDetector.txt
		      ../rtc/OccupancyGridMap3D/OccupancyGridMap3D.txt
		      ../rtc/OGMap3DViewer/OGMap3DViewer.txt
		      ../rtc/OpenNIGrabber/OpenNIGrabber.txt
		      ../rtc/PointCloudViewer/PointCloudViewer.txt
		      ../rtc/Range2PointCloud/Range2PointCloud.txt
		      ../rtc/RobotHardware/RobotHardware.txt
		      ../rtc/SequencePlayer/SequencePlayer.txt
		      ../rtc/Simulator/Simulator.txt
		      ../rtc/SoftErrorLimiter/SoftErrorLimiter.txt
		      ../rtc/StateHolder/StateHolder.txt
		      ../rtc/VideoCapture/VideoCapture.txt
		      ../rtc/Viewer/Viewer.txt
		      ../rtc/VirtualCamera/VirtualCamera.txt
		      ../rtc/VirtualForceSensor/VirtualForceSensor.txt
		      ../rtc/WavPlayer/WavPlayer.txt
		      ../rtc/Stabilizer/Stabilizer.txt
		      ../rtc/AutoBalancer/AutoBalancer.txt
		      ../rtc/KalmanFilter/KalmanFilter.txt
		      ../rtc/ImpedanceController/ImpedanceController.txt
		      ../rtc/ReferenceForceUpdater/ReferenceForceUpdater.txt
		      ../rtc/RemoveForceSensorLinkOffset/RemoveForceSensorLinkOffset.txt
		      ../rtc/CollisionDetector/CollisionDetector.txt
		      ../rtc/PDcontroller/PDcontroller.txt
		      ../lib/io/iob.h
		      ../idl/CollisionDetectorService.idl
		      ../idl/DataLoggerService.idl
		      ../idl/ExecutionProfileService.idl
		      ../idl/ForwardKinematicsService.idl
		      ../idl/GraspControllerService.idl
		      ../idl/ImpedanceControllerService.idl
		      ../idl/OGMap3DService.idl
		      ../idl/ObjectContactTurnaroundDetectorService.idl
		      ../idl/RobotHardwareService.idl
		      ../idl/SequencePlayerService.idl
		      ../idl/StateHolderService.idl
		      ../idl/TimeKeeperService.idl
		      ../idl/WavPlayerService.idl
		      ../idl/AutoBalancerService.idl
		      ../idl/StabilizerService.idl
		      ../idl/KalmanFilterService.idl
		      ../idl/RemoveForceSensorLinkOffsetService.idl
		      ../idl/ReferenceForceUpdaterService.idl
		      )
configure_file(Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)
set(output_dir ${CMAKE_CURRENT_BINARY_DIR}/html)
set(output_dir_xml ${CMAKE_CURRENT_BINARY_DIR}/xml)
file(MAKE_DIRECTORY ${output_dir})
file(MAKE_DIRECTORY ${output_dir_xml})

add_custom_command(
  OUTPUT ${output_dir}/index.html ${output_dir_xml}/index.xml
  COMMAND doxygen
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile ${input_files}
)

add_custom_target(doc ALL DEPENDS ${output_dir}/index.html)
add_custom_target(doc ALL DEPENDS ${output_dir_xml}/index.xml)

install(DIRECTORY ${output_dir} DESTINATION share/doc/hrpsys/base)
install(DIRECTORY ${output_dir_xml} DESTINATION share/doc/hrpsys/base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/hrpsys_base.doxytag DESTINATION share/doc/hrpsys/base)

=== ec/CMakeLists.txt ===
add_subdirectory(hrpEC)

=== idl/CMakeLists.txt ===
set(idl_files 
  DataLoggerService.idl 
  StateHolderService.idl 
  RobotHardwareService.idl 
  WavPlayerService.idl 
  SequencePlayerService.idl 
  ForwardKinematicsService.idl
  ExecutionProfileService.idl
  OGMap3DService.idl
  NullService.idl
  EmergencyStopperService.idl
  TimeKeeperService.idl
  Img.idl
  HRPDataTypes.idl
  pointcloud.idl
  ImpedanceControllerService.idl
  SoftErrorLimiterService.idl
  CollisionDetectorService.idl
  GraspControllerService.idl
  TorqueFilterService.idl
  KalmanFilterService.idl
  VirtualForceSensorService.idl
  StabilizerService.idl
  AutoBalancerService.idl
  RemoveForceSensorLinkOffsetService.idl
  ServoControllerService.idl
  TorqueControllerService.idl
  ThermoLimiterService.idl
  ReferenceForceUpdaterService.idl
  AccelerationFilterService.idl
  ObjectContactTurnaroundDetectorService.idl
  )

set(openhrp_idl_files
  ClockGenerator.idl
  CollisionDetector.idl
  Controller.idl
  DynamicsSimulator.idl
  ModelLoader.idl
  OnlineViewer.idl
  OpenHRPCommon.idl
  ViewSimulator.idl
  World.idl
  )
if(NOT QNXNTO)
  list(APPEND openhrp_idl_files  PathPlanner.idl)
endif()

# add CMAKE_CURRENT_SOURCE_DIR to all files
set(EXTRA_IDL_FILES "" CACHE PATH "directories of extra idls") # this must contain paths
set(idl_files2 ${idl_files})
foreach(idl_file ${idl_files})
  list(APPEND idl_files_path ${CMAKE_CURRENT_SOURCE_DIR}/${idl_file})
endforeach()
set(idl_files ${idl_files_path} ${EXTRA_IDL_FILES})

set(idl_flags -bcxx -Wbuse_quotes -Wbh=.hh -Wbs=Sk.cpp -Wba -Wbd=DynSk.cpp -I${OPENRTM_IDL_DIR})

string(REGEX REPLACE ";" " " idl_files2 "${idl_files2}")
string(REGEX REPLACE ";" " " openhrp_idl_files2 "${openhrp_idl_files}")
configure_file(${PROJECT_SOURCE_DIR}/cpack_modules/postinst.in ${PROJECT_BINARY_DIR}/postinst)

macro(generate_cpp_stub idl_file idl_basename)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${idl_basename}.hh ${CMAKE_CURRENT_BINARY_DIR}/${idl_basename}Sk.cpp ${CMAKE_CURRENT_BINARY_DIR}/${idl_basename}DynSk.cpp
    COMMAND omniidl ${idl_flags} ${idl_file}
    DEPENDS ${idl_file}
    )
endmacro()

macro(generate_java_stub idl_file idl_basename)
  add_custom_command(
    OUTPUT ${idl_basename}.compiled src
    COMMAND ${IDLJ} ${idlj_flags} -I${OPENRTM_IDL_DIR} ${idl_file}
    COMMAND ${CMAKE_COMMAND} -E echo "" > ${idl_basename}.compiled
    DEPENDS ${idl_file}
    )
endmacro()

foreach(idl_file ${idl_files})
  get_filename_component(idl_basename ${idl_file} NAME_WE)
  generate_cpp_stub(${idl_file} ${idl_basename})
  list(APPEND sources ${idl_basename}Sk.cpp ${idl_basename}DynSk.cpp)
  list(APPEND headers ${CMAKE_CURRENT_BINARY_DIR}/${idl_basename}.hh)
  if(COMPILE_JAVA_STUFF)
    generate_java_stub(${idl_file} ${idl_basename})
  endif()
  list(APPEND compiled ${idl_basename}.compiled)
endforeach()

set(jarfile ${CMAKE_CURRENT_BINARY_DIR}/hrpsysBaseStub.jar)

add_custom_command(
  OUTPUT ${jarfile} cls
  COMMAND mkdir -p cls
  COMMAND ${JAVAC} ${javac_flags} src/*/*.java -d cls
  COMMAND ${JAR} cf ${jarfile} -C ${CMAKE_CURRENT_BINARY_DIR}/cls Img -C ${CMAKE_CURRENT_BINARY_DIR}/cls OpenHRP -C ${CMAKE_CURRENT_BINARY_DIR}/cls OpenRTM -C ${CMAKE_CURRENT_BINARY_DIR}/cls RTC -C ${CMAKE_CURRENT_BINARY_DIR}/cls _SDOPackage
  COMMAND cp ${jarfile} ${CMAKE_SOURCE_DIR}/plugin
  DEPENDS ${compiled}
  )
if(COMPILE_JAVA_STUFF)
  add_custom_target(StubJava ALL DEPENDS ${jarfile})
endif()

set(target hrpsysBaseStub)
add_library(${target} SHARED ${sources})
target_link_libraries(${target} ${OPENRTM_LIBRARIES})

install(TARGETS ${target}
	LIBRARY DESTINATION lib
)

if(COMPILE_JAVA_STUFF)
  install(FILES ${jarfile} DESTINATION share/java)
endif()
foreach(_idl_file ${idl_files})
  message("Check if ${_idl_file} exists")
  if(NOT EXISTS ${_idl_file})
    message(FATAL_ERROR "ERROR: ${_idl_file} is not present")
  endif()
endforeach()
foreach(_idl_file ${openhrp_idl_files})
  message("Check if ${OPENHRP_IDL_DIR}/OpenHRP/${_idl_file} exists")
  if(NOT EXISTS ${OPENHRP_IDL_DIR}/OpenHRP/${_idl_file})
    message(FATAL_ERROR "ERROR: ${OPENHRP_IDL_DIR}/OpenHRP/${_idl_file} is not present")
  endif()
endforeach()

install(CODE "execute_process(COMMAND omniidl -bpython -C\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${python_dist_pkg_dir}/hrpsys -I${OPENRTM_IDL_DIR} ${idl_files} WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")
install(CODE "execute_process(COMMAND omniidl -bpython -C\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${python_dist_pkg_dir}/hrpsys -I${OPENRTM_IDL_DIR} ${openhrp_idl_files} WORKING_DIRECTORY ${OPENHRP_IDL_DIR}/OpenHRP)")
install(CODE "execute_process(COMMAND python -m compileall . WORKING_DIRECTORY ${python_dist_pkg_dir}/hrpsys)")
install(FILES ${headers} DESTINATION include/hrpsys/idl)
install(FILES ${idl_files} DESTINATION share/hrpsys/idl)

=== jython/CMakeLists.txt ===
configure_file(hrpsysjy.in ${CMAKE_CURRENT_BINARY_DIR}/hrpsysjy)
configure_file(rtc.conf.in ${CMAKE_CURRENT_BINARY_DIR}/rtc.conf)

set(jarfile ${CMAKE_CURRENT_BINARY_DIR}/openrtm.jar)

add_custom_command(
  OUTPUT ${jarfile}
  COMMAND ${IDLJ} ${idlj_flags} -I. -I${OPENRTM_IDL_DIR} ${OPENRTM_IDL_DIR}/Manager.idl
  COMMAND ${IDLJ} ${idlj_flags} -I. -I${OPENRTM_IDL_DIR} ${OPENRTM_IDL_DIR}/OpenRTM.idl
  COMMAND ${IDLJ} ${idlj_flags} -I. -I${OPENRTM_IDL_DIR} ${OPENRTM_IDL_DIR}/DataPort.idl
  COMMAND ${IDLJ} ${idlj_flags} -I. -I${OPENRTM_IDL_DIR} ${OPENRTM_IDL_DIR}/InterfaceDataTypes.idl
  COMMAND ${JAVAC} ${javac_flags} src/*/*.java
  COMMAND ${JAR} cf ${jarfile} OpenRTM RTC RTM _SDOPackage
)

add_custom_target(OpenRTMStub ALL DEPENDS ${jarfile})

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/hrpsysjy DESTINATION bin)
install(FILES ${jarfile} DESTINATION share/java)
install(FILES rtm.py waitInput.py poseEditor.py DESTINATION share/hrpsys/jython)
install(FILES sample.py NullComponent.conf ${CMAKE_CURRENT_BINARY_DIR}/rtc.conf DESTINATION share/hrpsys/samples)

=== lib/CMakeLists.txt ===
set(LIBIO_DIR io CACHE PATH "directory of hrpIo")
add_subdirectory(${LIBIO_DIR} ${LIBIO_DIR})
if(USE_HRPSYSUTIL)
  add_subdirectory(util)
endif()

=== python/CMakeLists.txt ===
install(PROGRAMS hrpsyspy DESTINATION bin)
install(FILES __init__.py rtm.py waitInput.py DESTINATION ${python_dist_pkg_dir}/hrpsys)
install(PROGRAMS hrpsys_config.py DESTINATION ${python_dist_pkg_dir}/hrpsys)

=== rtc/CMakeLists.txt ===
add_subdirectory(AccelerationChecker)
add_subdirectory(NullComponent)
add_subdirectory(RobotHardware)
add_subdirectory(StateHolder)
add_subdirectory(WavPlayer)
add_subdirectory(SequencePlayer)
add_subdirectory(DataLogger)
if (NOT QNXNTO)
  add_subdirectory(Joystick)
  add_subdirectory(Joystick2Velocity2D)
  add_subdirectory(Joystick2Velocity3D)
  add_subdirectory(Joystick2PanTiltAngles)
endif()
add_subdirectory(ForwardKinematics)
add_subdirectory(HGcontroller)
add_subdirectory(Range2PointCloud)
add_subdirectory(ImpedanceController)
add_subdirectory(AutoBalancer)
add_subdirectory(SoftErrorLimiter)
add_subdirectory(VirtualForceSensor)
add_subdirectory(GraspController)
add_subdirectory(TorqueFilter)
add_subdirectory(KalmanFilter)
add_subdirectory(Stabilizer)
add_subdirectory(RemoveForceSensorLinkOffset)
add_subdirectory(ServoController)
add_subdirectory(ThermoEstimator)
add_subdirectory(ThermoLimiter)
add_subdirectory(TorqueController)
add_subdirectory(ImageData2CameraImage)
add_subdirectory(ExtractCameraImage)
add_subdirectory(CaptureController)
add_subdirectory(RangeNoiseMixer)
add_subdirectory(AverageFilter)
add_subdirectory(EmergencyStopper)
if (USE_HRPSYSUTIL)
  add_subdirectory(Viewer)
  add_subdirectory(CameraImageViewer)
  add_subdirectory(JpegDecoder)
  add_subdirectory(JpegEncoder)
  add_subdirectory(RGB2Gray)
  add_subdirectory(ResizeImage)
  add_subdirectory(RotateImage)
  add_subdirectory(VirtualCamera)
  add_subdirectory(Simulator)
  add_subdirectory(RangeDataViewer)
  add_subdirectory(UndistortImage)
  add_subdirectory(CameraImageLoader)
endif()
if (QHULL_FOUND)
  add_subdirectory(CollisionDetector)
endif()
add_subdirectory(PDcontroller)
add_subdirectory(Beeper)
add_subdirectory(ReferenceForceUpdater)
add_subdirectory(AccelerationFilter)
add_subdirectory(ObjectContactTurnaroundDetector)

if (NOT APPLE AND USE_HRPSYSUTIL)
  add_subdirectory(VideoCapture)
endif()

find_package(Irrlicht)
if (IRRLICHT_FOUND AND USE_HRPSYSUTIL)
  add_subdirectory(OGMap3DViewer)
endif()

# Octomap
pkg_check_modules(OCTOMAP octomap)
if (OCTOMAP_FOUND)
  add_subdirectory(OccupancyGridMap3D)
endif()

find_package(PCL)
if (NOT "${PCL_LIBRARIES}" STREQUAL "")
  list(REMOVE_ITEM PCL_LIBRARIES "vtkproj4")
endif()

if (PCL_FOUND)
  add_subdirectory(ApproximateVoxelGridFilter)
  add_subdirectory(SORFilter)
  add_subdirectory(MLSFilter)
  add_subdirectory(PCDLoader)
  add_subdirectory(PlaneRemover)
  add_subdirectory(PointCloudViewer)
  add_subdirectory(VoxelGridFilter)
  if (OPENNI2_FOUND)
    add_subdirectory(OpenNIGrabber)
  endif()
endif()

set(EXTRA_RTC_DIRS "" CACHE PATH "directories of extra RTCs")
foreach(rtc_dir ${EXTRA_RTC_DIRS})
  add_subdirectory(${rtc_dir} ${rtc_dir})
endforeach()

=== sample/CMakeLists.txt ===
# shared object file suffix
if(APPLE)
  set(SO_SFX "dylib")
else()
  set(SO_SFX "so")
endif()

add_subdirectory(PA10)
add_subdirectory(HRP4C)
add_subdirectory(SampleRobot)
add_subdirectory(Sample6dofRobot)
add_subdirectory(Sample4LegRobot)
add_subdirectory(SampleSpecialJointRobot)
add_subdirectory(environments)

install(PROGRAMS
  simTest1.py simTest2.py simTest3.py simTest4.py simTest5.py
  visionTest.py
  DESTINATION share/hrpsys/samples)

=== util/CMakeLists.txt ===
add_subdirectory(ProjectGenerator)
add_subdirectory(SelfCollisionChecker)
if(USE_HRPSYSUTIL)
  add_subdirectory(simulator)
  add_subdirectory(viewer)
  add_subdirectory(monitor)
endif()

=== 3rdparty/qpOASES/CMakeLists.txt ===
if (NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/qpOASES-3.0)
  execute_process(COMMAND svn co --trust-server-cert --non-interactive https://projects.coin-or.org/svn/qpOASES/stable/3.0 ${CMAKE_CURRENT_BINARY_DIR}/qpOASES-3.0)
  execute_process(COMMAND sed -i -e "s/qpOASES\ STATIC/qpOASES\ SHARED/g" ${CMAKE_CURRENT_BINARY_DIR}/qpOASES-3.0/CMakeLists.txt)
  execute_process(COMMAND cmake -E chdir ${CMAKE_CURRENT_BINARY_DIR}/qpOASES-3.0 make)
endif()

=== debian/changelog ===
ros-kinetic-hrpsys (315.14.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 04 Aug 2017 00:00:00 -0000

ros-kinetic-hrpsys (315.13.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 19 May 2017 00:00:00 -0000

ros-kinetic-hrpsys (315.12.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Apr 2017 00:00:00 -0000

ros-kinetic-hrpsys (315.12.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 08 Mar 2017 00:00:00 -0000

ros-kinetic-hrpsys (315.11.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 17 Feb 2017 00:00:00 -0000

ros-kinetic-hrpsys (315.10.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 08 Oct 2016 00:00:00 -0000

ros-kinetic-hrpsys (315.10.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 00:00:00 -0000

ros-kinetic-hrpsys (315.9.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 19 Apr 2016 00:00:00 -0000

ros-kinetic-hrpsys (315.8.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 29 Nov 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.7.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.6.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Jul 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.5.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.4.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 04 May 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.3.2-0xenial) xenial; urgency=high

  * hrpsys_config.py
    
      * python 2.5 - 3.0 supports
        
          * [hrpsys_config.py,rtm.py] #559 is not what expected, we do not want to change output string style
          * [rtm.py, hrpsys_config.py] fix exception to work on all python version. see http://stackoverflow.com/questions/11285313/try-except-as-error-in-python-2-5-python-3-x
          * [rtm.py, hrpsys_config.py] use print() for support python2.5-python3.4
        
      * Behavior change on waitInputConfrim() https://github.com/fkanehiro/hrpsys-base/issues/480, https://github.com/fkanehiro/hrpsys-base/pull/565#issuecomment-92078185
        
          * [hrpsys_config.py] remove waitInputConfirmWithDisplayCheck(), since waitInputConfirm() in waitInput.py now support non-X environment
          * [hrpsys_config.py] previous commit changes waitInputConfirm() behavior, it returns True/False for Ok/Cance, not raise error
          * [waitInput.py] if window is not available, ask via screen, this changes behavior of waitInputConfirm() which previously raise error on cancel input, but not it returns False
        
      * [hrpsys_config.py] support $(OPENHRP_DIR) and $(PROJECT_DIR) in getBodyInfo and loadPattern
      * Add calibrateInertiaSensor function and add calibration function with dialog
      * [hrpsys_config.py] add setMaxLogLength()
      * [hrpsys_config.py] add dq to setupLogger()
      * Enable to get impedance controller mode
    
  * lib/util/BodyRTC
    
      * [lib/util/BodyRTC.{cpp,h}] Set all servo off if robot has no joints, which means single rigid body
      * fixes a bug in checkEmergency()
    
  * rtc/RobotHardware
    
      * send emergency signal by hardware servo alarm https://github.com/fkanehiro/hrpsys-base/pull/556
    
  * sample/SampleRobot
    
      * [sample/SampleRobot] add README.md
      * [launch/samplerobot-drc-testbed.launch, sample/SampleRobot/SampleRobot.DRCTestbed.xml, sample/SampleRobot/environments/DRCTestbed*.wrl] add DRC Testbed models
      * [DRCTestbedTerrainUSBlock.wrl] fix floor color
      * [launch/samplerobot-terrain-walk.{launch,py} add sample program for terrain walk
      * [launch/samplerobot-walk.py] use check_output, instead of abspath(__file__) ../sample...
      * [launch/samplerobot*.py] remove python files just to run from ROS environment, now you can call everything by rosrun hrpsys samplerobot_auto_balacner.py
      * [sample/SampleRobot] use ''  to specify model location
    
  * .travis.sh
    
      * [.travis.sh] remove hrpsys deb file for both downstream and 315.1.9 test
      * [.travis.sh] https://github.com/start-jsk/rtmros_hironx/pull/318.diff has been merged
      * [.travis.sh] remove hrpsys deb file for both downstream and 315.1.9 test
      * [.travis.h] https://github.com/start-jsk/rtmros_hironx/pull/318.diff has been merged
      * [.travis.yml] check python code work on python2.5 to python3.4
      * [.travis.sh] add --no-check-certificate
    
  * Contributors: Fumio KANEHIRO, Kei Okada, Shunichi Nozawa, Yohei Kakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.3.1-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 07 Apr 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.3.0-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 07 Mar 2015 00:00:00 -0000

ros-kinetic-hrpsys (315.2.8-0xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 16 Dec 2014 00:00:00 -0000

ros-kinetic-hrpsys (315.2.7-0xenial) xenial; urgency=high

  * New feature
  * Fixation
  * Improvement
  * Contributors: Kei Okada, Shunichi Nozawa, Isaac Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Oct 2014 00:00:00 -0000

ros-kinetic-hrpsys (315.2.6-0xenial) xenial; urgency=high

  * New Feature
  * Fix
  * hrpsys_config
  * I/F improvement
  * Document update
  * Contributors: Kei Okada, Shunichi Nozawa, Isaac IY Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 30 Sep 2014 00:00:00 -0000

ros-kinetic-hrpsys (315.2.5-0xenial) xenial; urgency=high

  * Stabilizer:


=== debian/control ===
Source: ros-kinetic-hrpsys
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, freeglut3-dev, git-core, graphviz, libglew-dev, libirrlicht-dev, libopencv-dev, libqhull-dev, libsdl1.2-dev, libxml2-dev, libxmu-dev, pkg-config, python-tk, ros-kinetic-mk, ros-kinetic-openhrp3
Homepage: http://ros.org/wiki/hrpsys
Standards-Version: 3.9.2

Package: ros-kinetic-hrpsys
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libirrlicht-dev, libopencv-dev, libqhull-dev, libsdl1.2-dev, libxml2-dev, libxmu-dev, python-tk, ros-kinetic-openhrp3
Description: An OpenRTM-aist-based robot controller.
 This package is the most tailored for humanoid (dual-arm and/or biped) robots for historical reason. hrpsys package does not only wraps but build and installs the code from its mainstream repository (github.com/fkanehiro/hrpsys-base). The package version number is synchronized to that of mainstream, based on this decision. Its semantics: MAJOR: Synchronized with OpenHRP3 MINOR: Indicate IDL compatibility (packages with different version numbers in this section are NOT compatible) PATCH: Packages with different version numbers in this section ARE compatible. API document is auto-generated on github.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-hrpsys//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
